Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Functions | Variables
filter.hpp File Reference

## Classes
struct | ranges::filter_view< Rng, Pred >
struct | ranges::views::cpp20_filter_base_fn
| Given a source range and a unary predicate, present a view of the elements that satisfy the predicate. More...
struct | ranges::views::cpp20_filter_fn
struct | ranges::views::filter_base_fn
| Given a source range, unary predicate, and optional projection, present a view of the elements that satisfy the predicate. More...
struct | ranges::views::filter_fn

## Typedefs
template<typename V , typename Pred >
using | ranges::cpp20::filter_view = ranges::filter_view< V, Pred >

## Functions
template<typename Rng , typename Pred >
| ranges::filter_view (Rng &&, Pred) -> filter_view< views::all_t< Rng >, Pred >

## Variables
constexpr ranges::views::cpp20_filter_fn | ranges::cpp20::views::filter {}

## Typedef Documentation

## ◆ filter_view

template<typename V , typename Pred >

using ranges::cpp20::filter_view = typedef ranges::filter_view<V, Pred>

Precondition
  requires `input_range<V> && indirect_unary_predicate<Pred, iterator_t<V>> && view_<V> && std::is_object<Pred>::value` //